"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = exports.Introduction = void 0;

var _react = _interopRequireDefault(require("react"));

var _About = _interopRequireDefault(require("./About.mdx"));

/**
 * Configuration for the info page
 */
var _default = {
  title: 'About',
  parameters: {
    viewMode: 'docs',
    previewTabs: {
      canvas: {
        hidden: true
      }
    },
    docs: {
      page: _About["default"]
    }
  }
};
exports["default"] = _default;

var Introduction = function Introduction() {
  return /*#__PURE__*/_react["default"].createElement("div", null);
};

exports.Introduction = Introduction;